curl..../util/utilfunc.sh: line 262:

Ask questions about your setup or get help installing ZCS server (ZD section below).
jholder
Zimbra Employee
Zimbra Employee
Posts: 4686
Joined: Fri Sep 12, 2014 10:00 pm

curl..../util/utilfunc.sh: line 262:

Postby jholder » Sat Nov 19, 2005 3:57 pm

Hi again,

I was successful in getting ZCS M1 re-installed, and operational
However, now when I try to upgrade, I get the following errors:

-------------------------

Checking for prerequisites...

NPTL...FOUND

libidn...FOUND libidn-0.5.6-1

curl..../util/utilfunc.sh: line 262: [: too many arguments MISSING

fetchmail...FOUND fetchmail-6.2.5-7.fc3.1

gmp...FOUND gmp-4.1.4-3

/usr/lib/libstdc++.so.5...FOUND
###ERROR###
One or more prerequisite packages are missing.

Please install them before running this installer.
Installation cancelled.

---------------------------

I removed Curl and re-installed it with no success...

I Also followed the grep instructions I found here; however, I cannot find a solution.
Any ideas?


jholder
Zimbra Employee
Zimbra Employee
Posts: 4686
Joined: Fri Sep 12, 2014 10:00 pm

curl..../util/utilfunc.sh: line 262:

Postby jholder » Sat Nov 19, 2005 4:17 pm

I can install M1, but not M2
jholder
Zimbra Employee
Zimbra Employee
Posts: 4686
Joined: Fri Sep 12, 2014 10:00 pm

curl..../util/utilfunc.sh: line 262:

Postby jholder » Sat Nov 19, 2005 4:38 pm

If you get this error, it is likely because a YUM update failed. After several greps, I found the trouble:
When you run the install script, the script querys for some info on your system. If you accidentlly have more than one version of the same program installed, when the program querys for it, it will return 2 variables, instead of the typical 1.
To solve this, run:

rpm -q -a | grep (name of suspected program) *it may say it in the output of the script, but this is not always so*
If it returns more than one program, run

yum remove (name of the program)
This will remove both, then run,

yum install (name of the program)
This will install only one package of the latest program, thus fixing the variable issue.
iBid:http://www.zimbra.com/forums/showthread.php?t=707&highlight=line+262
agnOstos
Advanced member
Advanced member
Posts: 96
Joined: Fri Sep 12, 2014 9:57 pm

curl..../util/utilfunc.sh: line 262:

Postby agnOstos » Sat Nov 19, 2005 4:41 pm

So are you telling me you've got M2 working?
jholder
Zimbra Employee
Zimbra Employee
Posts: 4686
Joined: Fri Sep 12, 2014 10:00 pm

curl..../util/utilfunc.sh: line 262:

Postby jholder » Sat Nov 19, 2005 4:42 pm

yes :)

Remember, it's beta, so it's gonna be buggy.
What's happening on your system now?
agnOstos
Advanced member
Advanced member
Posts: 96
Joined: Fri Sep 12, 2014 9:57 pm

curl..../util/utilfunc.sh: line 262:

Postby agnOstos » Sat Nov 19, 2005 5:06 pm

Still updating, downloading the dependencies. Done soon hopefully.
jholder
Zimbra Employee
Zimbra Employee
Posts: 4686
Joined: Fri Sep 12, 2014 10:00 pm

curl..../util/utilfunc.sh: line 262:

Postby jholder » Sat Nov 19, 2005 5:15 pm

Yeah it takes forever.
After thinking about it some more, I have some more stuff you can try so that you can figure out where the problem acutally lies.
marcmac
Elite member
Elite member
Posts: 2091
Joined: Fri Sep 12, 2014 9:53 pm

curl..../util/utilfunc.sh: line 262:

Postby marcmac » Sun Nov 20, 2005 12:27 am

We've seen this before - I thought I fixed it, but apparently not (stupid quoting issue in the script). I'll check it out on Monday.
ranemaker
Posts: 1
Joined: Fri Sep 12, 2014 10:01 pm

curl..../util/utilfunc.sh: line 262:

Postby ranemaker » Tue Dec 06, 2005 12:25 pm

Aloha People! Thanks for your posts here. I was able to solve my problem very quickly! :)

Return to “Installation and Upgrade”

Who is online

Users browsing this forum: No registered users and 6 guests